SHUF(1)

NAZWA
shuf - tworzy losowe permutacje

SKŁADNIA
shuf [OPCJA]... [PLIK]
shuf -e [OPCJA]... [ARGUMENTY]...
shuf -i DOLNA-GÓRNA [OPCJA]...

OPIS

Wypisuje losową permutację wierszy wejściowych na standardowe wyjście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-e, --echo
    traktuje każdy ARGUMENT jak wiersz wejściowy

-i, --input-range=DOLNA-GÓRNA
    traktuje każdą liczbę od DOLNEJ do GÓRNEJ jako wiersz wejściowy

-n, --head-count=LICZBA
    wypisuje co najwyżej LICZBĘ wierszy

-o, --output=PLIK
    wypisuje wynik do PLIKU zamiast na standardowe wyjście

--random-source=PLIK
    pozyskuje losowe bajty z PLIKU

-z, --zero-terminated
    kończy wiersze bajtem 0, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

AUTOR
Napisane przez Paula Eggerta.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w shuf proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu shuf proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja shuf jest dostępna w formacie Texinfo. Jeśli programy info i shuf są poprawnie zainstalowane, to polecenie

    info coreutils 'shuf invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.